import { PolarBase } from "./PolarBase";
import { PathRenderer } from "./PathRenderer";
import { SeriesView } from "./SeriesView";
import { UnknownValuePlotting } from "igniteui-react-core";
import { PolarFrame } from "./PolarFrame";
import { PolarBaseView } from "./PolarBaseView";
import { Type } from "igniteui-react-core";
/**
 * @hidden
 */
export declare abstract class PolarLineSeriesBase extends PolarBase {
    static $t: Type;
    protected get_zr(): boolean;
    protected zw(): boolean;
    protected cs(): SeriesView;
    qz(a: SeriesView): void;
    ach: PolarLineSeriesBaseView;
    constructor();
    ace: PathRenderer;
    acg: PathRenderer;
    aci(): UnknownValuePlotting;
    protected get_acl(): boolean;
    protected get acl(): boolean;
    protected get_acn(): boolean;
    protected get acn(): boolean;
    abb(a: PolarFrame, b: PolarBaseView): void;
    private aco;
    private acp;
    private ack;
    private acj;
    private acm;
    protected abstract acq(a: SeriesView): void;
    abstract acr(a: PolarFrame, b: PolarBaseView): void;
    o5(a: boolean, b: SeriesView): void;
    acf: PathRenderer;
    abf(a: PolarFrame, b: PolarBaseView): void;
}
/**
 * @hidden
 */
export declare class PolarLineSeriesBaseView extends PolarBaseView {
    static $t: Type;
    private c8;
    constructor(a: PolarLineSeriesBase);
    protected af(): void;
}
